Triggers = {}
Green = {0, 1, 0, 1}
White = {1, 1, 1, 1}

function Triggers.init()
    font = Fonts.new {id = 22, size = 18, style = 1}

    imgs = {}
    imgs["interface panel"] = Images.new {resource = 1700}

    for idx, name in ipairs(
        {
            "empty life bar",
            "life bar",
            "life bar right",
            "poison bar",
            "poison bar right",
            "triple life bar",
            "triple life bar right",
            "empty oxygen bar",
            "oxygen bar",
            "oxygen bar right"
        }
    ) do
        imgs[name] = Shapes.new {collection = 0, texture_index = idx - 1, type = TextureTypes["interface"]}
    end

    key_shape = Shapes.new {collection = 0, texture_index = 38, type = TextureTypes["interface"]}
end

function Triggers.draw()
    local background = imgs["interface panel"]
    background:draw((Screen.width / 2) - (background.width / 2), Screen.height - background.height)

    Screen.world_rect.height = Screen.height - background.height

    local health_width_max = 181
    local health_frac = math.max(Player.life, 0) / 150
    local health_width = health_frac * health_width_max

    Screen.fill_rect((Screen.width / 2) - 242, Screen.height - 135, health_width, 29, Green)

    local oxygen_width_max = 181
    local oxygen_frac = math.max(Player.oxygen, 0) / 10800
    local oxygen_width = oxygen_frac * oxygen_width_max

    Screen.fill_rect((Screen.width / 2) - 242, Screen.height - 50, oxygen_width, 15, Green)

    font:draw_text(Player.items["pistol ammo"].count, (Screen.width / 2) + 28, Screen.height - 99, White)

    if Player.items["pistol"].count > 1 then
        key_shape:draw((Screen.width/2) + 100, Screen.height - 110)
    end
end
